Update the "About KDE" text
ClosedPublic

Authored by ngraham on Oct 24 2018, 3:11 AM.

Details

Summary

This text had not been updated in a while, and mentioned "workspaces" as a product line. Let's bring it up to date.

Test Plan

Diff Detail

Repository
R263 KXmlGui
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ngraham created this revision.Oct 24 2018, 3:11 AM
Restricted Application added a project: Frameworks. · View Herald TranscriptOct 24 2018, 3:11 AM
Restricted Application added a subscriber: kde-frameworks-devel. · View Herald Transcript
ngraham requested review of this revision.Oct 24 2018, 3:11 AM
ngraham edited the test plan for this revision. (Show Details)Oct 24 2018, 3:11 AM
abetts added a subscriber: abetts.Oct 24 2018, 4:47 AM

KDE has created the friendly and powerful Plasma desktop environment

KDE has created the most friendly and powerful desktop environment, Plasma.

KDE is a cooperative enterprise in which no single entity

KDE is a disaggregated development community not governed by...

Just my .02 :D

FYI, according to an old custom mentioned at https://community.kde.org/Schedules/Frameworks , KF5.52 is already in string freeze, thus this change may only be pushed after 5.52 is released. However you can ask for an exception in the kde-i18n-doc mailing list unless it gets too close to KF5.52 tagging day.

I'd say that the respecting the string freeze this time makes sense, as we need a bit more time to discuss this. Maybe the promo team can help too, as this is an important message.

Why does this dialog not say anything about the version of KDE. I think here the KF5 version and maybe the Qt Version should be shown here. I always found it kinda odd that the "About Application" dialog contains this and not the About KDE dialog.

Why does this dialog not say anything about the version of KDE.

There is *no* version of KDE. KDE is only the community. It's clearly stated in that message.

I think here the KF5 version and maybe the Qt Version should be shown here. I always found it kinda odd that the "About Application" dialog contains this and not the About KDE dialog.

That's the right place where they belong: information about the application and its dependencies.

Agreed, we can wait until after 5.52 is tagged before landing this (assume we even get consensus before then. :) )

KDE has created the friendly and powerful Plasma desktop environment

KDE has created the most friendly and powerful desktop environment, Plasma.

That seems like boasting to me, and invites comparisons to other environments that we could lose in some people's eyes. I'd prefer not to make this change,

KDE is a cooperative enterprise in which no single entity

KDE is a disaggregated development community not governed by...

Hmm, I like the existing one better. In particular, "disaggregated" is a very complex and uncommon word that could be avoided in the interests of clear communication.

KDE is a cooperative enterprise in which no single entity controls the efforts or efforts or products of KDE to the exclusion of others.

I think this sentence is too complex. I'd suggest writing something like "KDE is a cooperative enterprise: nobody controls all efforts or products. Instead, we work together to achieve our common goals."

ngraham updated this revision to Diff 44192.Oct 25 2018, 12:33 AM

Tweak the wording, incorporating @xyquadrat's suggestions

ngraham edited the test plan for this revision. (Show Details)Oct 25 2018, 12:33 AM

So are folks good with the current text now?

ngraham edited the test plan for this revision. (Show Details)Oct 31 2018, 1:53 PM
ngraham updated this revision to Diff 44562.Oct 31 2018, 6:19 PM

Consistently capitalize "Free Software"

ngraham edited the test plan for this revision. (Show Details)Oct 31 2018, 6:20 PM
ngraham updated this revision to Diff 44563.Oct 31 2018, 6:29 PM

Promo team tweaks

ngraham updated this revision to Diff 44564.Oct 31 2018, 6:30 PM

Use https URLs

ngraham edited the test plan for this revision. (Show Details)Oct 31 2018, 6:31 PM
skadinna accepted this revision as: KDE Promo.Oct 31 2018, 6:36 PM

Thanks! Regardless, I'll only land this after the Frameworks string freeze is lifted (i.e. once 5.52 is tagged).

davidc added a subscriber: davidc.Oct 31 2018, 7:25 PM

Thanks for the update, and for tightening some of the language. The only nag I have is with the last sentence in the first paragraph.

Seeing Plasma described as "friendly" seems a bit like fluff and is an awkward choice of words for a user interface. I know you were probably going for "user-friendly" and that it would be a bit cumbersome when added to the sentence, but I think it might be best just to strike "friendly and powerful" entirely, since the sentence runs on a bit as it is.

My only suggestion: KDE creates the efficient, powerful Plasma desktop environment, hundreds of high-quality applications and the many software libraries that support them.

Past tense makes the present version seem static.

ngraham updated this revision to Diff 44605.Nov 1 2018, 3:33 AM

Incorporate more feedback from review comments (thanks @davidc and @valorie!)

ngraham edited the test plan for this revision. (Show Details)Nov 1 2018, 3:34 AM
ngraham updated this revision to Diff 44942.Nov 6 2018, 12:09 AM

Add a link to the "Get Involved" page

ngraham edited the test plan for this revision. (Show Details)Nov 6 2018, 12:10 AM
This revision was not accepted when it landed; it landed in state Needs Review.Nov 15 2018, 3:19 AM
This revision was automatically updated to reflect the committed changes.
This comment was removed by bcooksley.
bcooksley removed a subscriber: fusitter.